using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface ICultureRepository
    {
        Culture Save( Culture culture );
        Culture GetOne( string cultureID );
        string GetIDByName( string name );
        void Delete( string cultureID );
        IList<Culture> GetAll();
        IList<Culture> GetByEnabled( bool enabled );
        IList<Culture> SearchCulture(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<TableSchemaItem> GetTableSchema();
    }
}
