using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Tax;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface ITaxClassRepository
    {
        //Functions that are intended to be used internally inside aggregates.
        #region Aggregate Methods

        IList<TaxClassRule> GetTaxClassRulesByTaxClassID( string taxClassID );        
        IList<TaxClassRule> SearchTaxClassRules(
            string taxClassID,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<TableSchemaItem> GetTaxClassRuleTableSchemas();

        #endregion

        TaxClass Save( TaxClass taxClass );
        TaxClass GetOne( string taxClassID );
        void Delete( string taxClassID );
        IList<TaxClass> GetAll(string sortBy);        
        IList<TaxClass> SearchTaxClasses(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<TableSchemaItem> GetTableSchemas();
    }
}
