﻿using System;
using System.Data;
using System.Configuration;

namespace Vevo.Domain.Orders
{
    [Serializable]
    public class CartItemCustomPriceDetails
    {
        #region Private

        private static CartItemCustomPriceDetails _nullInstance = new CartItemCustomPriceDetails();

        private decimal _customPriceValue;

        #endregion


        #region Constructors

        public CartItemCustomPriceDetails()
        {
            _customPriceValue = 0;
        }

        public CartItemCustomPriceDetails( decimal customPriceValue )
        {
            _customPriceValue = customPriceValue;
        }

        #endregion


        #region Public Properties

        public static CartItemCustomPriceDetails Null
        {
            get { return _nullInstance; }
        }

        public decimal CustomPriceValue { get { return _customPriceValue; } }

        #endregion


        #region Public Methods

        public override bool Equals( object obj )
        {
            CartItemCustomPriceDetails rhs = (CartItemCustomPriceDetails) obj;

            return CustomPriceValue == rhs.CustomPriceValue;
        }

        public override int GetHashCode()
        {
            return Convert.ToInt32( _customPriceValue );
        }

        #endregion

    }
}
