using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Products
{
    public class ProductStock
    {
        #region Private

        private string _optionCombinationID = "0";
        private int _stock;
        private bool _stockEnabled = true;

        private string[] _optionItemIDs;

        #endregion


        #region Constructors

        public ProductStock()
        {
            _optionItemIDs = new string[0];
        }

        public ProductStock( IList<String> optionItemIDs )
        {
            _optionItemIDs = new string[optionItemIDs.Count];
            optionItemIDs.CopyTo( _optionItemIDs, 0 );
        }

        #endregion


        #region Public Properties

        public string OptionCombinationID
        {
            get { return _optionCombinationID; }
            set { _optionCombinationID = value; }
        }
        public int Stock { get { return _stock; } set { _stock = value; } }
        public bool StockEnabled { get { return _stockEnabled; } set { _stockEnabled = value; } }

        #endregion


        #region Custom Properties

        // Once created, list of Option Item IDs cannot be changed
        public string[] OptionItemIDs
        {
            get { return _optionItemIDs; }
        }

        #endregion

    }
}
