﻿using System;
using System.Collections.Generic;
using Vevo.Domain.Base;

namespace Vevo.Domain.Products
{
    [Serializable]
    public class SpecificationItemValue : ILocaleLoader, ICloneable
    {
        #region Private

        private string _specificationItemValueID = "0";
        private string _specificationItemID = "0";
        private string _value = String.Empty;

        private Culture _defaultCulture;
        private LocaleCollection<SpecificationItemValueLocale> _locales;

        #endregion

        #region Public Constructors

        public SpecificationItemValue( Culture defaultCulture )
        {
            _defaultCulture = defaultCulture;
            _locales = new LocaleCollection<SpecificationItemValueLocale>( this );
        }

        #endregion

        #region Public Properties

        public static SpecificationItemValue Null
        {
            get { return NullSpecificationItemValue.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string SpecificationItemValueID { get { return _specificationItemValueID; } set { _specificationItemValueID = value; } }
        public string SpecificationItemID { get { return _specificationItemID; } set { _specificationItemID = value; } }
        public string Value { get { return _value; } set { _value = value; } }
        public Culture DefaultCulture { get { return _defaultCulture; } set { _defaultCulture = value; } }
        public LocaleCollection<SpecificationItemValueLocale> Locales { get { return _locales; } }


        //------------------------------------------------------------
        // Locale items
        public string DisplayValue
        {
            get { return Locales[DefaultCulture].DisplayValue; }
            set { Locales.GetNoLoad( DefaultCulture ).DisplayValue = value; }
        }
        // End Locale items
        //------------------------------------------------------------

        #endregion

        #region ILocaleLoader Members

        public IList<ILocale> GetLocales()
        {
            List<ILocale> result = new List<ILocale>();

            //foreach (SpecificationItemValueLocale locale in DataAccessContext.SpecificationItemRepository.GetLocales( SpecificationItemID ))
            //    result.Add( locale );

            return result;
        }

        #endregion


        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            SpecificationItemValue newObject = (SpecificationItemValue) MemberwiseClone();
            newObject._locales = (LocaleCollection<SpecificationItemValueLocale>) Locales.Clone();

            return newObject;
        }

        #endregion
    }
}
