﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web;
using Vevo.Domain;
using Facebook;

namespace Vevo.WebUI.Facebook
{
    public class FacebookConnect
    {
        protected Dictionary<string, object> loginParameters = new Dictionary<string, object>
                    {
                        { "response_type", "code" },
                        { "display", "popup" }
                    };
        protected FacebookOAuthClient _facebookOAuthClient;

        public static bool IsConfigurationReady()
        {
            if ((DataAccessContext.Configurations.GetValue( "FacebookAPIKey" ) != String.Empty) &&
                (DataAccessContext.Configurations.GetValue( "FacebookAppSecret" ) != String.Empty) && 
                (DataAccessContext.Configurations.GetBoolValue( "FacebookLoginEnabled")))
                return true;
            else
                return false;
        }

        public FacebookConnect()
        {
            _facebookOAuthClient = new FacebookOAuthClient();
            _facebookOAuthClient.AppId = DataAccessContext.Configurations.GetValue( "FacebookAPIKey" );
            _facebookOAuthClient.AppSecret = DataAccessContext.Configurations.GetValue( "FacebookAppSecret" );
        }

        public string RedirectURL
        {
            get
            {
                return _facebookOAuthClient.RedirectUri.ToString();
            }
            set
            {
                _facebookOAuthClient.RedirectUri = new UriBuilder( RedirectURL ).Uri;
            }
        }


        public string FacebookLoginURL
        {
            get
            {
                return _facebookOAuthClient.GetLoginUrl( loginParameters ).ToString();
            }
        }

        public string ParseCode( string url )
        {
            FacebookOAuthResult result;
            if (FacebookOAuthResult.TryParse( url, out result ))
            {
                return result.Code;
            }
            else
            {
                return String.Empty;
            }
        }

        public string AppID
        {
            get
            {
                return _facebookOAuthClient.AppId;
            }
        }

        public string AppSecret
        {
            get
            {
                return _facebookOAuthClient.AppSecret;
            }
        }
    }
}
