using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;


namespace Vevo.WebUI
{
    /// <summary>
    /// Summary description for NullMessageControl
    /// </summary>
    public class NullMessageControl : IMessageControl
    {
        private static NullMessageControl _instance = new NullMessageControl();


        // Use private constructor to prevent others from creating this class
        private NullMessageControl()
        {
        }


        public void DisplayMessage( string text, params object[] parameters )
        {
        }

        public void DisplayError( string text, params object[] parameters )
        {
        }

        public void DisplayException( Exception ex )
        {
        }

        public static NullMessageControl Instance
        {
            get
            {
                return _instance;
            }
        }
    }
}
